# struct SButton |
Full name | `KDialogBase::SButton`
Definition | `#include <kdialogbase.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- SButton ()
- QPushButton * append ( int key, const QString &text )
- void resize ( bool sameWidth, int margin, int spacing, int orientation )
- QPushButton * button ( int key )

#### Public Members

- QWidget *box
- int mask
- int style
- QList<KDialogBaseButton> list

## Detailed Description

SButton () | ### SButton

QPushButton * append ( int key, const QString &text ) | ### append

void resize ( bool sameWidth, int margin, int spacing, int orientation ) | ### resize

QPushButton * button ( int key ) | ### button

QWidget * box | ### box

int mask | ### mask

int style | ### style

QList<KDialogBaseButton> list | ### list

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.